Why Do I Get "TypeError: Unicode-Objects Must Be Encoded Before Hashing" When Upgrading Ansible Tower?

Solution Verified - Updated -

Issue

When upgrading Ansible Tower, you may experience the TypeError: Unicode-Objects Must Be Encoded Before Hashing error.

Environment

  • Ansible Tower 3.2.x
  • Ansible Tower 3.5.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In